# Generated by Django 4.0.3 on 2022-05-18 22:56

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('filmkritiken', '0006_alter_genre_films'),
    ]

    operations = [
        migrations.CreateModel(
            name='WatchlistItem',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('watched', models.BooleanField(default=False, verbose_name='Watched')),
                ('film', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='watchlists', to='filmkritiken.film')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='watchlist_item', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
